package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckFormulaServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/6 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmsshipformulas")
public class BmstruckFormulaController extends BaseRESTfulController {

    @Autowired
    BmstruckFormulaServiceImpl bmstruckFormulaService;

    /**
     * 查询水运费计算公式
     * @return
     */
    @ApiOperation(value = "查询水运费计算公式")
    @PostMapping("/getShipFeesFormula")
    public RESTfulResult getShipFeesFormula(){
        Map<String, Object> map = bmstruckFormulaService.selectAnyFormula(new BigDecimal(4));
        return success(map);
    }

    /**
     * 查询途损费计算公式
     * @return
     */
    @ApiOperation(value = "查询途损费计算公式")
    @PostMapping("/getLossFeesFormula")
    public RESTfulResult getLossFeesFormula(){
        return success(bmstruckFormulaService.selectAnyFormula(new BigDecimal(5)));
    }

    /**
     * 查询水分质检计算公式
     * @return
     */
    @ApiOperation(value = "查询水分质检计算公式")
    @PostMapping("/getWaterFeesFormula")
    public RESTfulResult getWaterFeesFormula(){
        return success(bmstruckFormulaService.selectAnyFormula(new BigDecimal(6)));
    }
}
