package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsportHandlingFee;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BmsportHandlingFeeMapper extends IBaseMapper<BmsportHandlingFee, BigDecimal> {
    /**
     * 展示港口装卸费列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getPortHandlingFeeList(Map<String, Object> mapValue);

    /**
     * 得到修改渲染
     * @param feeId
     * @return
     */
    List<Map<String,Object>> getFeeToUpdate(BigDecimal feeId);

    /**
     * 得到物资id下拉
     * @return
     */
    List<Map<String,Object>> getMaterialId();

    /**
     * 得到价格id
     * @return
     */
    List<Map<String,Object>> getPriceId();

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 得到单价id下拉
     * @return
     */
    List<Map<String, Object>> selectPriceId();

    List<Map<String, Object>> selectPortFeeSecondList(Map<String, Object> map);

    String downloadBmsshipOrder(Integer resultId);

    //根据id渲染数据
    List<Map<String, Object>> getBmsshipFee(Integer id);

    List<Map<String, Object>> getTrainDetailsByBatch(Map map);

    List<Map<String, Object>> getTruckDetailsByBatch(Map map);

    List<Map<String,Object>> findLoadByBatch(Map map);
}