package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsshipDetailsOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/7 17:11
 * @Version:V2.0
 */
@Mapper
public interface BmsshipDetailsOrderMapper  extends IBaseMapper<BmsshipDetailsOrder, BigDecimal> {

    /**
     * 展示所有详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getDetailsOrderList(Map<String,Object> mapValue);

    /**
     * 展示未生成账单的详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getUncomplateDetailsOrderList(Map<String,Object> mapValue);

    /**
     * 新增详单
     * @param bmsshipDetailsOrder
     * @return
     */
    int insertSelective(BmsshipDetailsOrder bmsshipDetailsOrder);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 根据主键查询详单信息
     * @param detailsId
     * @return
     */
    BmsshipDetailsOrder selectByPrimaryKey(BigDecimal detailsId);

    /**
     * 修改详单状态
     * @param bmsshipDetailsOrder
     * @return
     */
    int updateByPrimaryKeySelective(BmsshipDetailsOrder bmsshipDetailsOrder);
}
