package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmsportHandlingFee;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/27 14:14
 * @Version:V2.0
 */
public interface IBmsportHandlingFeeService {
    /**
     * 修改
     * @param bmsportHandlingFee
     * @return
     */
    int update(BmsportHandlingFee bmsportHandlingFee);

    /**
     * 删除
     * @param feeId
     * @return
     */
    int deleteByUpdate(BigDecimal feeId);

    /**
     * 新增
     * @param map
     * @return
     */
    int insert(Map<String,Object> map) throws Exception;

    /**
     * 展示港口装卸费列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getPortHandlingFeeList(Map<String, Object> mapValue);

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 得到修改渲染
     * @param feeId
     * @return
     */
    List<Map<String,Object>> getFeeToUpdate(BigDecimal feeId);

    /**
     * 得到物资id下拉
     * @return
     */
    List<Map<String,Object>> getMaterialId();

    /**
     * 得到价格下拉
     * @return
     */
    List<Map<String, Object>> getPriceId();


    //新增二程船装卸费
    int addPortHandlingFeeSecond(Map<String, Object> map);

    //展示二程船装卸费用
    List<Map<String, Object>> selectPortFeeSecondList(Map<String, Object> map);

    //根据实绩查找数据库存取的地址
    String downloadBmsshipOrder(Integer resultId);

    List<Map<String, Object>> getBmsshipFee(Integer id);

    int updatePortHandlingFee(Map<String, Object> map);

    int deletePortHandlingFeeSecond(BigDecimal feeId);

    Map<String, Object> getTrainDetailsByBatch(BigDecimal batchId);

    Map<String, Object> getTruckDetailsByBatch(BigDecimal batchId);

    List<Map<String, Object>> findLoadByBatch(BigDecimal batchId);
}
