package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmsshipDetailsOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/7 17:14
 * @Version:V2.0
 */
public interface IBmsshipDetailsOrderService {

    /**
     * 展示所有详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getDetailsOrderList(Map<String,Object> mapValue);

    /**
     * 新增详单
     * @param resultId
     * @return
     */
    int insertSelective(BigDecimal resultId) throws Exception;

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 根据主键查询详单信息
     * @param detailsId
     * @return
     */
    BmsshipDetailsOrder selectByPrimaryKey(BigDecimal detailsId);

    /**
     * 修改详单状态
     * @param bmsshipDetailsOrder
     * @return
     */
    int updateByPrimaryKeySelective(BmsshipDetailsOrder bmsshipDetailsOrder);

    /**
     * 展示未生成账单的详单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getUncomplateDetailsOrderList(Map<String,Object> mapValue);
}
