package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmsshipStatement;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/8 19:25
 * @Version:V2.0
 */
public interface IBmsshipStatementService {

    /**
     * 生成账单
     * @param listMap
     * @return
     */
    int insertSelective(List<Map<String, Object>> listMap) throws Exception;

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示账单列表
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getStatementList(Map<String,Object> mapValue);

    /**
     * 展示账单中的详单
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getDetailsOrder(Map<String,Object> mapValue);

    /**
     * 得到支付单位和总金额
     * @param batchId
     * @return
     */
    List<Map<String,Object>> getShipperAndAmount(BigDecimal batchId);

    /**
     * 查询汽运实绩
     * @param batchId
     * @return
     */
    List<Map<String,Object>> getTruckResult(BigDecimal batchId);

    /**
     * 查询船运实绩
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getShipResult(Map<String,Object> mapVal);

    /**
     * 展示途损费账单列表
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getLossStatementList(Map<String,Object> mapValue);

    /**
     * 展示途损费账单列表
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getWaterResult(Map<String,Object> mapValue);

    /**
     * 得到批次信息
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getBatch(Map<String,Object> mapVal);



}
